> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update a recurring resident charge

PUT https://api.propexo.com/v1/recurring-resident-charges/{recurring_resident_charge_id}
Content-Type: application/json

Update a recurring resident charge for an integration.

Reference: https://docs.propexo.com/api-reference/pms-generic-ap-is/billing-and-payments/update-a-recurring-resident-charge

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `recurring_resident_charge_id` (string, required) — The Propexo unique identifier for the recurring resident charge

### Body (application/json)

This endpoint expects a _v1_recurring-resident-charges_{recurring_resident_charge_id}_put_input.

- `financial_account_id` (string, optional) — The Propexo unique identifier for the financial account
- `is_active` (boolean, optional) — Whether the recurring resident charge is active
- `amount_in_cents` (integer, optional) — The amount of the recurring resident charge, in cents
- `description` (string, optional) — Description of the recurring resident charge
- `charge_due_day` (integer, optional) — The day of the month the charge is due
- `start_date` (V1RecurringResidentChargesRecurringResidentChargeIdPutInputStartDate, optional) — The start date associated with the recurring resident charge
- `frequency_normalized` (enum, optional) — The frequency of the recurring resident charge
  - Allowed values: `DAILY`, `MONTHLY`, `WEEKLY`
- `end_date` (V1RecurringResidentChargesRecurringResidentChargeIdPutInputEndDate, optional) — The end date associated with the recurring resident charge
- `reference_number` (string, optional) — The reference number for the recurring resident charge
- `charge_code_id` (string, optional) — The Propexo unique identifier for the charge code
- `day_due` (integer, optional) — The day of the month the charge is due
- `frequency_raw` (integer, optional) — The raw value of the frequency of the recurring resident charge (in months)

## Response

### 200

Successful response

- `job_id` (string, required) — The ID of the job created to handle this operation
- `data` (V1RecurringResidentChargesRecurringResidentChargeIdPutOutputData, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1RecurringResidentChargesRecurringResidentChargeIdPutInputStartDate

The start date associated with the recurring resident charge

### V1RecurringResidentChargesRecurringResidentChargeIdPutInputEndDate

The end date associated with the recurring resident charge

### V1RecurringResidentChargesRecurringResidentChargeIdPutOutputData

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "job_id": "string",
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/recurring-resident-charges/recurring_resident_charge_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/recurring-resident-charges/recurring_resident_charge_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/recurring-resident-charges/recurring_resident_charge_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/recurring-resident-charges/recurring_resident_charge_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/recurring-resident-charges/recurring_resident_charge_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/recurring-resident-charges/recurring_resident_charge_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/recurring-resident-charges/recurring_resident_charge_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/recurring-resident-charges/recurring_resident_charge_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```